%global tarball xf86-input-wacom
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input

Summary:    Xorg X11 wacom input driver
Name:       xorg-x11-drv-wacom
Version:    0.10.6
Release:    2%{?dist}
URL:        http://www.x.org
License:    GPLv2+
Group:      User Interface/X Hardware Support
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: http://prdownloads.sourceforge.net/linuxwacom/xf86-input-wacom-%{version}.tar.bz2

Patch01: wacom-0.10.6-axis-mode.patch

ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.7.0
BuildRequires: xorg-x11-util-macros >= 1.3.0
BuildRequires: libX11-devel libXi-devel

Requires:  xorg-x11-server-Xorg >= 1.7.0
Requires:  hal
Requires:  libX11 libXi

Provides:  linuxwacom = %{version}-%{release}
Obsoletes: linuxwacom <= 0.8.4.3

%description
X.Org X11 wacom input driver for Wacom tablets.

%prep
%setup -q -n %{tarball}-%{version}

%patch01 -p1 

%build
%configure --disable-static
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

install -d $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/20thirdparty
install -m 0644 ${RPM_BUILD_ROOT}%{_datadir}/hal/fdi/policy/20thirdparty/wacom.fdi $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/20thirdparty/10-wacom.fdi
rm ${RPM_BUILD_ROOT}%{_datadir}/hal/fdi/policy/20thirdparty/wacom.fdi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README GPL
%{driverdir}/wacom_drv.so
%{_mandir}/man4/wacom.4*
%{_datadir}/hal/fdi/policy/20thirdparty/10-wacom.fdi
%{_bindir}/xsetwacom

%package devel
Summary:    Xorg X11 wacom input driver development package
Group:      Development/Libraries

Requires: xorg-x11-server-devel >= 1.7.0
Requires: pkgconfig

Provides: linuxwacom-devel = %{version}-%{release}
Obsoletes: linuxwacom-devel <= 0.8.4.3

%description devel
X.Org X11 wacom input driver development files.

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/xorg-wacom.pc
%{_includedir}/xorg/Xwacom.h
%{_includedir}/xorg/wacom-properties.h

%changelog
* Fri May 21 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.6-2
- wacom-0.10.6-axis-mode.patch: Fix axis mode setting, don't set
  OutOfProximity bit.

* Thu Apr 22 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.6-1
- wacom 0.10.6

* Fri Mar 19 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.5-1
- wacom 0.10.5

* Tue Mar 16 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.4-4
- wacom-0.10.4-xsetwacom-display.patch: fix option parsing for --display.
  (related #561835 cmt #26)

* Thu Mar 11 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.4-3
- wacom-0.10.4-check-pktlen.patch: stop processing when the pktlen changes.
  Restores a bit removed from git that's still in linuxwacom.

* Wed Feb 03 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.4-2
- Update sources to sourceforge, 0.10.4 was released on sf only.

* Fri Jan 15 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.4-1
- wacom 0.10.4
- remove 10-wacom.fdi and use the driver-provided fdi instead.

* Thu Dec 24 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.3-2
- Add the tarball...

* Thu Dec 24 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.3-1
- wacom 0.10.3
- Update files, Requires and BuildRequires for xsetwacom.

* Mon Dec 07 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.2-2
- xorg-x11-drv-wacom-devel provides linuxwacom-devel: resolves
  updates-testing conflict between new linuxwacom and xorg-x11-drv-wacom
  if linuxwacom-devel is installed.

* Tue Dec 01 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.2-1
- wacom 0.10.2

* Mon Nov 23 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.1-2
- 10-linuxwacom.fdi: squash extra entry for bluetooth tablet into general
  Wacom match. 
- 10-linuxwacom.fdi: remove info.parent condition for N-Trig (#538036)

* Fri Nov 20 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.1-1
- wacom 0.10.1
- Remove unnecessary 'find' directive, changed upstream.
- Add GPL document
- Install 10-wacom.fdi file.
- Provides: linuxwacom

* Fri Nov 20 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.0-4
- BuildRequires xorg-x11-util-macros 1.3.0

* Thu Nov 19 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.0-3
- Use smp_mflags when building.

* Wed Nov 18 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.0-2
- Obsolete linuxwacom, don't Conflict with it.
- Remove trailing dot from summary (rpmlint warning).
- Remove spurious executable bits from source files (rpmlint warning).
- Add AUTHORS, ChangeLog, README to doc

* Mon Oct 19 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.0-1
- Initial import

